Results 1 to 3 of 3

Thread: zypper se strange error (std::length_error)

  1. #1

    Default zypper se strange error (std::length_error)

    At one machine a have found strange errror on zypper (for exampe zypper se mc)

    Code:
    zypper se mc
    Загрузка данных о репозиториях...
    Предупреждение: Репозиторий 'openSUSE-13.1-Update' устарел. Используйте другое зеркало или сервер.
    Чтение установленных пакетов...
    
    terminate called after throwing an instance of 'std::length_error'
      what():  basic_string::_S_create
    Аварийный останов
    I am trying to do zypper ref -f -s but it not helps.

    Please help with a problem.

  2. #2
    Join Date
    Jun 2008
    Location
    Netherlands
    Posts
    24,851

    Default Re: zypper se strange error (std::length_error)

    You choose OTHER VERSION, but you forgot to tell what that OTHER VERSION is, how can we know?
    Somewhere in your unreadable text I see openSUSE13.1. That is not supported anymore and repositories will be down for it. Thus I assume that zypper complains about that.

    When you want to show computer output here in the English section please put a LANG=C before the statements to enable people here to read and understand it:
    Code:
    LANG=C zypper se mc
    Henk van Velden

  3. #3

    Default Re: zypper se strange error (std::length_error)

    Quote Originally Posted by hcvv View Post
    YThus I assume that zypper complains about that.
    Code:
    LANG=C zypper se mc
    I found the problem. After downgrading dbus qt5 and libc, zypper work fine

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •